{
    "kind": "BuildConfig",
    "apiVersion": "build.openshift.io/v1",
    "metadata": {
        "name": "s2i-tensorflow-notebook-gpu",
        "namespace": "{{ meta.namespace }}",
        "labels": {
            "build": "s2i-tensorflow-notebook-gpu"
        }
    },
    "spec": {
        "triggers": [
            {
                "type": "ConfigChange"
            }
        ],
        "source": {
            "type": "Git",
            "git": {
                "uri": "https://github.com/vpavlin/jupyter-notebooks",
                "ref": "feature/add-tf-gpu"
            },
            "contextDir": "tensorflow-notebook-gpu"
        },
        "strategy": {
            "type": "Source",
            "sourceStrategy": {
                "from": {
                    "kind": "ImageStreamTag",
                    "name": "s2i-tensorflow-gpu-base:3.6"
                }
            }
        },
        "output": {
            "to": {
                "kind": "ImageStreamTag",
                "name": "s2i-tensorflow-notebook-gpu:3.6"
            }
        },
        "resources": {
            "limits": {
                "memory": "3Gi"
            }
        }
    }
}
